<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
    <meta name="generator" content=
            "HTML Tidy for Linux (vers 25 March 2009), see www.w3.org">
    <meta http-equiv="Content-Type" content=
            "text/html; charset=us-ascii">
    <link href="bootstrap.min.css" media="screen" rel="stylesheet"
          type="text/css">
    <title>ehealthsuisse ADR Provider mockup</title>
    <link rel="shortcut icon" href="favicon2.ico" type="image/x-icon">
</head>

<body class="container-fluid">
<div class="well well-small">
    <center>
        <h2>eHealthSuisse ADR Provider MockUp</h2>
    </center>
</div>
<span class="row-fluid">
    <span class="span10 offset1">
        <p>eHealthSuisse ADR Provider MockUp simulates a CH:ADR Provider actor.</p>
        <p>ADR provider, will allow to manage access policy to the clinical data stored by an XDS Document Registry as well as to the access policies themselves, which are stored in a Policy Repository.<br>
        With the informations insert in to the request, the ADR provider will could determite if user can access to the informations or no, with decision like <strong>"Permit"</strong>, <strong>"Deny"</strong> or <strong>"Indeterminate"</strong>.</p>
        <p>Whether it be for the access request XDS, ATC or PPQ, the ADR request is build in two parts.<br>The first part,that we will call "Subject", allow to inform informations on user with a ID,a homeCommunity and the qualification id.
        <br>Finally, the second part, that we will call "Resource", allow to inform informations on the patient, like his identifiction.</p>
        <br>
        <ul><li><strong>Permit</strong>: the evaluation was successful.</li>
        <li><strong>Deny</strong>: the Subject is not authorised to perform the Action on the Resource.</li>
        <li><strong>Indeterminate</strong>: the evaluation failed or, if access to the requested Resource is not managed by the Authorization Decisions Manager.</li>
        </ul>

        <h3>Data Set</h3>
        <h4>Healthcare Professional data</h4>
        <table class="table table-striped">
            <tr>
                <th>Subject-id</th>
                <th>Subject-id-qualifier</th>
                <th>IdP Simulator username</th>
            </tr>
            <tr>
                <td>7601000080776</td>
                <td>urn:gs1:gln</td>
                <td>x</td>
            </tr>
            <tr>
                <td>7777</td>
                <td>urn:gs1:gln</td>
                <td>x</td>
            </tr>
            <tr>
                <td>7601000050717</td>
                <td>urn:gs1:gln</td>
                <td>magpar</td>
            </tr>
            <tr>
                <td>7601002033572</td>
                <td>urn:gs1:gln</td>
                <td>rspieler</td>
            </tr>
        </table>
        <h4>Patient data</h4>
        <table class="table table-striped">
            <tr>
                <th>Id_extension</th>
                <th>Id_root</th>
                <th>HomeCommunityId</th>
                <th>PolicyID</th>
                <th>IdP Simulator username</th>
            </tr>
            <tr>
                <td>761337610455909127</td>
                <td>2.16.756.5.30.1.127.3.10.3</td>
                <td>urn:oid:1.3.6.1.4.1.21367.2017.2.6.2</td>
                <td>66ad46fb-3b23-4e82-98f6-6571e5924b27</td>
                <td>aamrein</td>
            </tr>
            <tr>
                <td>761337610436974489</td>
                <td>2.16.756.5.30.1.127.3.10.3</td>
                <td>urn:oid:1.3.6.1.4.1.21367.2017.2.6.2</td>
                <td>e4ad4bc1-1f8b-4893-8a4b-758cd3cb0274</td>
                <td>lavdic</td>
            </tr>
            <tr>
                <td>761337610435209810</td>
                <td>2.16.756.5.30.1.127.3.10.3</td>
                <td>urn:oid:2.2.2</td>
                <td>x</td>
                <td>bovie</td>
            </tr>
        </table>
        <br>
        <h3>End Point</h3>
        <a href="https://ehealthsuisse.ihe-europe.net:10443/adr-provider?wsdl">https://ehealthsuisse.ihe-europe.net:10443/adr-provider?wsdl</a>
        <p>It requires TLS mutual authentication with testing certificate (from GSS PKI). <a
                href="/adr-provider?wsdl">The wsdl can be browsed here</a></p>
        <h3>Request example for ADR due to XDS</h3>
        <pre>&lt;soap:Envelope xmlns:soap="http://www.w3.org/2003/05/soap-envelope" xmlns:ds="http://www.w3.org/2000/09/xmldsig#" xmlns:epr="urn:e-health-suisse:2015:policy-administration" xmlns:wsa="http://www.w3.org/2005/08/addressing" xmlns:wsse="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"&gt;
   &lt;soap:Header&gt;
      &lt;wsa:Action&gt;urn:e-health-suisse:2015:policy-enforcement:AuthorizationDecisionRequest&lt;/wsa:Action&gt;
      &lt;wsa:MessageID&gt;urn:uuid:e4bb38c7-e546-4bb1-8d68-2bccf783dfbf&lt;/wsa:MessageID&gt;
      &lt;wsa:To&gt;<span style="background-color: yellow; font-weight: bold; ">http://ehealthsuisse.ihe-europe.net/adr-provider</span>&lt;/wsa:To&gt;
      &lt;wsse:Security&gt;
            <span style="font-weight: bold; ">&lt;!-- Add an assertion here &lt;saml2:Assertion.... --&gt;</span>
      &lt;/wsse:Security&gt;
   &lt;/soap:Header&gt;
   &lt;soap:Body&gt;
      &lt;xacml-samlp:XACMLAuthzDecisionQuery InputContextOnly="false" ReturnContext="false" ID="_682fee8b-46c0-442a-8c54-fd9d656412fc" Version="2.0" IssueInstant="2019-02-05T14:48:29Z" xmlns:xacml-samlp="urn:oasis:names:tc:xacml:2.0:profile:saml2.0:v2:schema:protocol" xmlns:xacml-context="urn:oasis:names:tc:xacml:2.0:context:schema:os" xmlns:hl7="urn:hl7-org:v3"&gt;
         &lt;xacml-context:Request&gt;
            &lt;xacml-context:Subject&gt;
               &lt;xacml-context:Attribute AttributeId="urn:oasis:names:tc:xacml:1.0:subject:subject-id" DataType="http://www.w3.org/2001/XMLSchema#string"&gt;
                  &lt;xacml-context:AttributeValue&gt;<span style="background-color: yellow; font-weight: bold; ">7601000050717</span>&lt;/xacml-context:AttributeValue&gt;
               &lt;/xacml-context:Attribute&gt;
               &lt;xacml-context:Attribute AttributeId="urn:oasis:names:tc:xacml:1.0:subject:subject-id-qualifier" DataType="http://www.w3.org/2001/XMLSchema#string"&gt;
                  &lt;xacml-context:AttributeValue&gt;<span style="background-color: yellow; font-weight: bold; ">urn:gs1:gln</span>&lt;/xacml-context:AttributeValue&gt;
               &lt;/xacml-context:Attribute&gt;
               &lt;xacml-context:Attribute AttributeId="urn:ihe:iti:xca:2010:homeCommunityId" DataType="http://www.w3.org/2001/XMLSchema#anyURI"&gt;
                  &lt;xacml-context:AttributeValue&gt;<span style="background-color: yellow; font-weight: bold; ">urn:oid:1.3.6.1.4.1.21367.2017.2.6.2</span>&lt;/xacml-context:AttributeValue&gt;
               &lt;/xacml-context:Attribute&gt;
               &lt;xacml-context:Attribute AttributeId="urn:oasis:names:tc:xacml:2.0:subject:role" DataType="urn:hl7-org:v3#CV"&gt;
                  &lt;xacml-context:AttributeValue&gt;
                     &lt;hl7:CodedValue code="PAT" codeSystem="2.16.756.5.30.1.127.3.10.6" displayName="Patient(in)"/&gt;
                  &lt;/xacml-context:AttributeValue&gt;
               &lt;/xacml-context:Attribute&gt;
               &lt;xacml-context:Attribute AttributeId="urn:oasis:names:tc:xspa:1.0:subject:organization-id" DataType="http://www.w3.org/2001/XMLSchema#anyURI"&gt;
                  &lt;xacml-context:AttributeValue&gt;urn:oid:1.3.6.1.4.1.21367.2017.2.6.2&lt;/xacml-context:AttributeValue&gt;
               &lt;/xacml-context:Attribute&gt;
               &lt;xacml-context:Attribute AttributeId="urn:oasis:names:tc:xspa:1.0:subject:purposeofuse" DataType="urn:hl7-org:v3#CV"&gt;
                  &lt;xacml-context:AttributeValue&gt;
                     &lt;hl7:CodedValue code="NORM" codeSystem="2.16.756.5.30.1.127.3.10.5" displayName="Normalzugriff"/&gt;
                  &lt;/xacml-context:AttributeValue&gt;
               &lt;/xacml-context:Attribute&gt;
            &lt;/xacml-context:Subject&gt;


            &lt;xacml-context:Resource&gt;
               &lt;xacml-context:Attribute AttributeId="urn:oasis:names:tc:xacml:1.0:resource:resource-id" DataType="http://www.w3.org/2001/XMLSchema#anyURI"&gt;
                  &lt;xacml-context:AttributeValue&gt;<span style="background-color: yellow; font-weight: bold; ">urn:e-health-suisse:2015:epr-subset:761337610436974489:normal</span>&lt;/xacml-context:AttributeValue&gt;
               &lt;/xacml-context:Attribute&gt;
               &lt;xacml-context:Attribute AttributeId="urn:e-health-suisse:2015:epr-spid" DataType="urn:hl7-org:v3#II"&gt;
                  &lt;xacml-context:AttributeValue&gt;
                     &lt;hl7:InstanceIdentifier root="<span style="background-color: yellow; font-weight: bold; ">2.16.756.5.30.1.127.3.10.3</span>" extension="<span style="background-color: yellow; font-weight: bold; ">761337610436974489</span>"/&gt;
                  &lt;/xacml-context:AttributeValue&gt;
               &lt;/xacml-context:Attribute&gt;
               &lt;xacml-context:Attribute AttributeId="urn:ihe:iti:xds-b:2007:confidentiality-code" DataType="urn:hl7-org:v3#CV"&gt;
                  &lt;xacml-context:AttributeValue&gt;
                     &lt;hl7:CodedValue code="1051000195109" codeSystem="2.16.756.5.30.1.127.3.10.1.5" displayName="<span style="background-color: yellow; font-weight: bold; ">normal</span>"/&gt;
                  &lt;/xacml-context:AttributeValue&gt;
               &lt;/xacml-context:Attribute&gt;
            &lt;/xacml-context:Resource&gt;

            &lt;xacml-context:Resource&gt;
               &lt;xacml-context:Attribute AttributeId="urn:oasis:names:tc:xacml:1.0:resource:resource-id" DataType="http://www.w3.org/2001/XMLSchema#anyURI"&gt;
                  &lt;xacml-context:AttributeValue&gt;<span style="background-color: yellow; font-weight: bold; ">urn:e-health-suisse:2015:epr-subset:761337610436974489:restricted</span>&lt;/xacml-context:AttributeValue&gt;
               &lt;/xacml-context:Attribute&gt;
               &lt;xacml-context:Attribute AttributeId="urn:e-health-suisse:2015:epr-spid" DataType="urn:hl7-org:v3#II"&gt;
                  &lt;xacml-context:AttributeValue&gt;
                     &lt;hl7:InstanceIdentifier root="<span style="background-color: yellow; font-weight: bold; ">2.16.756.5.30.1.127.3.10.3</span>" extension="<span style="background-color: yellow; font-weight: bold; ">761337610436974489</span>"/&gt;
                  &lt;/xacml-context:AttributeValue&gt;
               &lt;/xacml-context:Attribute&gt;
               &lt;xacml-context:Attribute AttributeId="urn:ihe:iti:xds-b:2007:confidentiality-code" DataType="urn:hl7-org:v3#CV"&gt;
                  &lt;xacml-context:AttributeValue&gt;
                     &lt;hl7:CodedValue code="1051000195109" codeSystem="2.16.756.5.30.1.127.3.10.1.5" displayName="<span style="background-color: yellow; font-weight: bold; ">restricted</span>"/&gt;
                  &lt;/xacml-context:AttributeValue&gt;
               &lt;/xacml-context:Attribute&gt;
            &lt;/xacml-context:Resource&gt;

            &lt;xacml-context:Resource&gt;
               &lt;xacml-context:Attribute AttributeId="urn:oasis:names:tc:xacml:1.0:resource:resource-id" DataType="http://www.w3.org/2001/XMLSchema#anyURI"&gt;
                  &lt;xacml-context:AttributeValue&gt;<span style="background-color: yellow; font-weight: bold; ">urn:e-health-suisse:2015:epr-subset:761337610436974489:secret</span>&lt;/xacml-context:AttributeValue&gt;
               &lt;/xacml-context:Attribute&gt;
               &lt;xacml-context:Attribute AttributeId="urn:e-health-suisse:2015:epr-spid" DataType="urn:hl7-org:v3#II"&gt;
                  &lt;xacml-context:AttributeValue&gt;
                     &lt;hl7:InstanceIdentifier root="<span style="background-color: yellow; font-weight: bold; ">2.16.756.5.30.1.127.3.10.3</span>" extension="<span style="background-color: yellow; font-weight: bold; ">761337610436974489</span>"/&gt;
                  &lt;/xacml-context:AttributeValue&gt;
               &lt;/xacml-context:Attribute&gt;
               &lt;xacml-context:Attribute AttributeId="urn:ihe:iti:xds-b:2007:confidentiality-code" DataType="urn:hl7-org:v3#CV"&gt;
                  &lt;xacml-context:AttributeValue&gt;
                     &lt;hl7:CodedValue code="1051000195109" codeSystem="2.16.756.5.30.1.127.3.10.1.5" displayName="<span style="background-color: yellow; font-weight: bold; ">secret</span>"/&gt;
                  &lt;/xacml-context:AttributeValue&gt;
               &lt;/xacml-context:Attribute&gt;
            &lt;/xacml-context:Resource&gt;


            &lt;xacml-context:Action&gt;
               &lt;xacml-context:Attribute AttributeId="urn:oasis:names:tc:xacml:1.0:action:action-id" DataType="http://www.w3.org/2001/XMLSchema#anyURI"&gt;
                  &lt;xacml-context:AttributeValue&gt;<span style="background-color: yellow; font-weight: bold; ">urn:ihe:iti:2018:RestrictedUpdateDocumentSet</span>&lt;/xacml-context:AttributeValue&gt;
               &lt;/xacml-context:Attribute&gt;
            &lt;/xacml-context:Action&gt;

            &lt;xacml-context:Environment/&gt;
         &lt;/xacml-context:Request&gt;
      &lt;/xacml-samlp:XACMLAuthzDecisionQuery&gt;
   &lt;/soap:Body&gt;
&lt;/soap:Envelope&gt;
</pre>
        </div>
        </div>
        <br><h3>Request example for ADR due to PPQ</h3>
        <pre>&lt;soap:Envelope xmlns:soap="http://www.w3.org/2003/05/soap-envelope" xmlns:ds="http://www.w3.org/2000/09/xmldsig#" xmlns:epr="urn:e-health-suisse:2015:policy-administration" xmlns:wsa="http://www.w3.org/2005/08/addressing" xmlns:wsse="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"&gt;
   &lt;soap:Header&gt;
      &lt;wsa:Action&gt;urn:e-health-suisse:2015:policy-enforcement:AuthorizationDecisionRequest&lt;/wsa:Action&gt;
      &lt;wsa:MessageID&gt;urn:uuid:e4bb38c7-e546-4bb1-8d68-2bccf783dfbf&lt;/wsa:MessageID&gt;
      &lt;wsa:To&gt;<span style="background-color: yellow; font-weight: bold; ">http://ehealthsuisse.ihe-europe.net/adr-provider?wsdl</span>&lt;/wsa:To&gt;
      &lt;wsse:Security&gt;
            <span style="font-weight: bold; ">&lt;!-- Add an assertion here &lt;saml2:Assertion.... --&gt;</span>
    &lt;/wsse:Security&gt;
   &lt;/soap:Header&gt;
   &lt;soap:Body&gt;
      &lt;xacml-samlp:XACMLAuthzDecisionQuery InputContextOnly="false" ReturnContext="false" ID="_682fee8b-46c0-442a-8c54-fd9d656412fc" Version="2.0" IssueInstant="2019-02-05T14:22:29Z" xmlns:xacml-samlp="urn:oasis:names:tc:xacml:2.0:profile:saml2.0:v2:schema:protocol" xmlns:xacml-context="urn:oasis:names:tc:xacml:2.0:context:schema:os" xmlns:hl7="urn:hl7-org:v3"&gt;
         &lt;xacml-context:Request&gt;
            &lt;xacml-context:Subject&gt;
               &lt;xacml-context:Attribute AttributeId="urn:oasis:names:tc:xacml:1.0:subject:subject-id" DataType="http://www.w3.org/2001/XMLSchema#string"&gt;
                  &lt;xacml-context:AttributeValue&gt;<span style="background-color: yellow; font-weight: bold; ">7601000050717</span>&lt;/xacml-context:AttributeValue&gt;
               &lt;/xacml-context:Attribute&gt;
               &lt;xacml-context:Attribute AttributeId="urn:oasis:names:tc:xacml:1.0:subject:subject-id-qualifier" DataType="http://www.w3.org/2001/XMLSchema#string"&gt;
                  &lt;xacml-context:AttributeValue&gt;<span style="background-color: yellow; font-weight: bold; ">urn:gs1:gln</span>&lt;/xacml-context:AttributeValue&gt;
               &lt;/xacml-context:Attribute&gt;
               &lt;xacml-context:Attribute AttributeId="urn:ihe:iti:xca:2010:homeCommunityId" DataType="http://www.w3.org/2001/XMLSchema#anyURI"&gt;
                  &lt;xacml-context:AttributeValue&gt;<span style="background-color: yellow; font-weight: bold; ">urn:oid:1.3.6.1.4.1.21367.2017.2.6.2</span>&lt;/xacml-context:AttributeValue&gt;
               &lt;/xacml-context:Attribute&gt;
               &lt;xacml-context:Attribute AttributeId="urn:oasis:names:tc:xacml:2.0:subject:role" DataType="urn:hl7-org:v3#CV"&gt;
                  &lt;xacml-context:AttributeValue&gt;
                     &lt;hl7:CodedValue code="PAT" codeSystem="2.16.756.5.30.1.127.3.10.6" displayName="Patient(in)"/&gt;
                  &lt;/xacml-context:AttributeValue&gt;
               &lt;/xacml-context:Attribute&gt;
               &lt;xacml-context:Attribute AttributeId="urn:oasis:names:tc:xspa:1.0:subject:organization-id" DataType="http://www.w3.org/2001/XMLSchema#anyURI"&gt;
                  &lt;xacml-context:AttributeValue&gt;urn:oid:1.3.6.1.4.1.21367.2017.2.6.2&lt;/xacml-context:AttributeValue&gt;
               &lt;/xacml-context:Attribute&gt;
               &lt;xacml-context:Attribute AttributeId="urn:oasis:names:tc:xspa:1.0:subject:purposeofuse" DataType="urn:hl7-org:v3#CV"&gt;
                  &lt;xacml-context:AttributeValue&gt;
                     &lt;hl7:CodedValue code="NORM" codeSystem="2.16.756.5.30.1.127.3.10.5" displayName="Normalzugriff"/&gt;
                  &lt;/xacml-context:AttributeValue&gt;
               &lt;/xacml-context:Attribute&gt;
            &lt;/xacml-context:Subject&gt;

            &lt;xacml-context:Resource&gt;
               &lt;xacml-context:Attribute AttributeId="urn:oasis:names:tc:xacml:1.0:resource:resource-id" DataType="http://www.w3.org/2001/XMLSchema#anyURI"&gt;
                  &lt;xacml-context:AttributeValue&gt;<span style="background-color: yellow; font-weight: bold; ">5b15774d-61e2-4d73-98d4-15462f38d872</span>&lt;/xacml-context:AttributeValue&gt;
               &lt;/xacml-context:Attribute&gt;
               &lt;xacml-context:Attribute AttributeId="urn:e-health-suisse:2015:epr-spid" DataType="urn:hl7-org:v3#II"&gt;
                  &lt;xacml-context:AttributeValue&gt;
                     &lt;hl7:InstanceIdentifier root="<span style="background-color: yellow; font-weight: bold; ">2.16.756.5.30.1.127.3.10.3</span>" extension="<span style="background-color: yellow; font-weight: bold; ">761337610436974489</span>"/&gt;
                  &lt;/xacml-context:AttributeValue&gt;
               &lt;/xacml-context:Attribute&gt;
               &lt;xacml-context:Attribute AttributeId="urn:e-health-suisse:2015:policy-attributes:referenced-policy-set" DataType="http://www.w3.org/2001/XMLSchema#anyURI"&gt;
                  &lt;xacml-context:AttributeValue&gt;urn:e-health-suisse:2015:policies:exclusion-list&lt;/xacml-context:AttributeValue&gt;
               &lt;/xacml-context:Attribute&gt;
            &lt;/xacml-context:Resource&gt;

            &lt;xacml-context:Action&gt;
               &lt;xacml-context:Attribute AttributeId="urn:oasis:names:tc:xacml:1.0:action:action-id" DataType="http://www.w3.org/2001/XMLSchema#anyURI"&gt;
                  &lt;xacml-context:AttributeValue&gt;<span style="background-color: yellow; font-weight: bold; ">urn:e-health-suisse:2015:policy-administration:AddPolicy</span>&lt;/xacml-context:AttributeValue&gt;
               &lt;/xacml-context:Attribute&gt;
            &lt;/xacml-context:Action&gt;

            &lt;xacml-context:Environment/&gt;
         &lt;/xacml-context:Request&gt;
      &lt;/xacml-samlp:XACMLAuthzDecisionQuery&gt;
   &lt;/soap:Body&gt;
&lt;/soap:Envelope&gt;
</pre>
         <br><h3>Request example for ADR due to ATC</h3>
        <pre>&lt;soap:Envelope xmlns:soap="http://www.w3.org/2003/05/soap-envelope" xmlns:ds="http://www.w3.org/2000/09/xmldsig#" xmlns:epr="urn:e-health-suisse:2015:policy-administration" xmlns:wsa="http://www.w3.org/2005/08/addressing" xmlns:wsse="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"&gt;
   &lt;soap:Header&gt;
      &lt;wsa:Action&gt;urn:e-health-suisse:2015:policy-enforcement:AuthorizationDecisionRequest&lt;/wsa:Action&gt;
      &lt;wsa:MessageID&gt;urn:uuid:e4bb38c7-e546-4bb1-8d68-2bccf783dfbf&lt;/wsa:MessageID&gt;
      &lt;wsa:To&gt;http://ehealthsuisse.ihe-europe.net/adr-provider&lt;/wsa:To&gt;
      &lt;wsse:Security&gt;
              <span style="font-weight: bold; ">&lt;!-- Add an assertion here &lt;saml2:Assertion.... --&gt;</span>
      &lt;/wsse:Security&gt;
   &lt;/soap:Header&gt;
   &lt;soap:Body&gt;
      &lt;xacml-samlp:XACMLAuthzDecisionQuery InputContextOnly="false" ReturnContext="false" ID="_682fee8b-46c0-442a-8c54-fd9d656412fc" Version="2.0" IssueInstant="2019-02-05T14:58:58Z" xmlns:xacml-samlp="urn:oasis:names:tc:xacml:2.0:profile:saml2.0:v2:schema:protocol" xmlns:xacml-context="urn:oasis:names:tc:xacml:2.0:context:schema:os" xmlns:hl7="urn:hl7-org:v3"&gt;
         &lt;xacml-context:Request&gt;
             &lt;xacml-context:Subject&gt;
               &lt;xacml-context:Attribute AttributeId="urn:oasis:names:tc:xacml:1.0:subject:subject-id" DataType="http://www.w3.org/2001/XMLSchema#string"&gt;
                  &lt;xacml-context:AttributeValue&gt;<span style="background-color: yellow; font-weight: bold; ">7601000050717</span>&lt;/xacml-context:AttributeValue&gt;
               &lt;/xacml-context:Attribute&gt;
               &lt;xacml-context:Attribute AttributeId="urn:oasis:names:tc:xacml:1.0:subject:subject-id-qualifier" DataType="http://www.w3.org/2001/XMLSchema#string"&gt;
                  &lt;xacml-context:AttributeValue&gt;<span style="background-color: yellow; font-weight: bold; ">urn:gs1:gln</span>&lt;/xacml-context:AttributeValue&gt;
               &lt;/xacml-context:Attribute&gt;
               &lt;xacml-context:Attribute AttributeId="urn:ihe:iti:xca:2010:homeCommunityId" DataType="http://www.w3.org/2001/XMLSchema#anyURI"&gt;
                  &lt;xacml-context:AttributeValue&gt;<span style="background-color: yellow; font-weight: bold; ">urn:oid:1.3.6.1.4.1.21367.2017.2.6.2</span>&lt;/xacml-context:AttributeValue&gt;
               &lt;/xacml-context:Attribute&gt;
               &lt;xacml-context:Attribute AttributeId="urn:oasis:names:tc:xacml:2.0:subject:role" DataType="urn:hl7-org:v3#CV"&gt;
                  &lt;xacml-context:AttributeValue&gt;
                     &lt;hl7:CodedValue code="PAT" codeSystem="2.16.756.5.30.1.127.3.10.6" displayName="Patient(in)"/&gt;
                  &lt;/xacml-context:AttributeValue&gt;
               &lt;/xacml-context:Attribute&gt;
               &lt;xacml-context:Attribute AttributeId="urn:oasis:names:tc:xspa:1.0:subject:organization-id" DataType="http://www.w3.org/2001/XMLSchema#anyURI"&gt;
                  &lt;xacml-context:AttributeValue&gt;urn:oid:1.3.6.1.4.1.21367.2017.2.6.2&lt;/xacml-context:AttributeValue&gt;
               &lt;/xacml-context:Attribute&gt;
               &lt;xacml-context:Attribute AttributeId="urn:oasis:names:tc:xspa:1.0:subject:purposeofuse" DataType="urn:hl7-org:v3#CV"&gt;
                  &lt;xacml-context:AttributeValue&gt;
                     &lt;hl7:CodedValue code="NORM" codeSystem="2.16.756.5.30.1.127.3.10.5" displayName="Normalzugriff"/&gt;
                  &lt;/xacml-context:AttributeValue&gt;
               &lt;/xacml-context:Attribute&gt;
            &lt;/xacml-context:Subject&gt;


            &lt;xacml-context:Resource&gt;
               &lt;xacml-context:Attribute AttributeId="urn:oasis:names:tc:xacml:1.0:resource:resource-id" DataType="http://www.w3.org/2001/XMLSchema#anyURI"&gt;
                  &lt;xacml-context:AttributeValue&gt;<span style="background-color: yellow; font-weight: bold; ">urn:e-health-suisse:2015:epr-subset:761337610436974489:patient-audit-trail-records</span>&lt;/xacml-context:AttributeValue&gt;
               &lt;/xacml-context:Attribute&gt;
               &lt;xacml-context:Attribute AttributeId="urn:e-health-suisse:2015:epr-spid" DataType="urn:hl7-org:v3#II"&gt;
                  &lt;xacml-context:AttributeValue&gt;
                     &lt;hl7:InstanceIdentifier root="<span style="background-color: yellow; font-weight: bold; ">2.16.756.5.30.1.127.3.10.3</span>" extension="<span style="background-color: yellow; font-weight: bold; ">761337610436974489</span>"/&gt;
                  &lt;/xacml-context:AttributeValue&gt;
               &lt;/xacml-context:Attribute&gt;
            &lt;/xacml-context:Resource&gt;


            &lt;xacml-context:Action&gt;
               &lt;xacml-context:Attribute AttributeId="urn:oasis:names:tc:xacml:1.0:action:action-id" DataType="http://www.w3.org/2001/XMLSchema#anyURI"&gt;
                  &lt;xacml-context:AttributeValue&gt;<span style="background-color: yellow; font-weight: bold; ">urn:e-health-suisse:2015:patient-audit-administration:RetrieveAtnaAudit</span>&lt;/xacml-context:AttributeValue&gt;
               &lt;/xacml-context:Attribute&gt;
            &lt;/xacml-context:Action&gt;

            &lt;xacml-context:Environment/&gt;
         &lt;/xacml-context:Request&gt;
      &lt;/xacml-samlp:XACMLAuthzDecisionQuery&gt;
   &lt;/soap:Body&gt;
&lt;/soap:Envelope&gt;
</pre>
    </span>
</span>
</body>
</html>
